/*
Arduino Tutorial 5.3 - Helligkeitsmessung mit einem Photowiederstand
 
In diesem Tutorial geht es darum, die Helligkeit mit einem Photowiderstand zu messen. 
 
by Scynd 2015
http://www.scynd.de/index.php/arduino-tutorials
*/

// Konstanten
const int abfrageZahl = 5;      // Je mehr abfragen, desto stabiler isr das Ergebnis
const int ldr = A0;             // Pin für den Fotowiederstand

// Variablen
int helligkeit = 0;            // Variable für die Helligkeit  
int abfrage[abfrageZahl];      // Array Variable für das Mitteln der Temperatur
float durchschnitt = 0;        // Variable für das Mitteln der Temperatur


void setup()
{  
  Serial.begin(9600);       // Baudrate für die Ausgabe am Serial Monitor
  pinMode(ldr, INPUT);      // Pin des NTC Wiederstands als Eingang
}


void loop()
{
  // Nimmt N Abfragen in einer Reihe, mit einem kurzen delay
  for (int i=0; i < abfrageZahl; i++)
  {
    abfrage[i] = analogRead(ldr);
    delay(10);
  }
  
  // Mittelt alle Abfragen
  durchschnitt = 0;
  for (int i=0; i < abfrageZahl; i++)
  {
    durchschnitt += abfrage[i];
  }
  helligkeit = durchschnitt/abfrageZahl;
  
  // Ausgabe an den Seriellen Monitor
  Serial.print("LDR ");
  Serial.println(helligkeit);
}
